# frozen_string_literal: true

require 'splinter/version'
require 'splinter/configuration'
require 'splinter/api'
require 'splinter/ooo_events'
require 'splinter/ooo_types'

module Splinter
  class Error < StandardError; end

  class << self
    attr_accessor :configuration
  end

  # Returns the configuration class instance if block given
  #
  # @return [Splinter::Configuration]
  def self.configure
    self.configuration ||= ::Splinter::Configuration.new

    yield(configuration) if block_given?
  end
end

Splinter.configure unless Splinter.configuration
